This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 6059989 [Patch ARM/AArch64 obvious] Fix typo: Rename insn_reservation [...]
new c70b874 Fix r225926's iso_varying_string ICE regression
new 7794f2c * config/nvptx/nvptx.c: Expand some comments.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 4 ++++
gcc/config/nvptx/nvptx.c | 29 ++++++++++++++++++----
gcc/fortran/ChangeLog | 7 ++++++
gcc/fortran/trans-array.c | 6 ++++-
gcc/testsuite/ChangeLog | 6 +++++
gcc/testsuite/gfortran.dg/generic_30.f90 | 41 ++++++++++++++++++++++++++++++++
6 files changed, 87 insertions(+), 6 deletions(-)
create mode 100644 gcc/testsuite/gfortran.dg/generic_30.f90
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from 6059989 [Patch ARM/AArch64 obvious] Fix typo: Rename insn_reservation [...]
new c70b874 Fix r225926's iso_varying_string ICE regression
new 7794f2c * config/nvptx/nvptx.c: Expand some comments.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 4 ++++
gcc/config/nvptx/nvptx.c | 29 ++++++++++++++++++----
gcc/fortran/ChangeLog | 7 ++++++
gcc/fortran/trans-array.c | 6 ++++-
gcc/testsuite/ChangeLog | 6 +++++
gcc/testsuite/gfortran.dg/generic_30.f90 | 41 ++++++++++++++++++++++++++++++++
6 files changed, 87 insertions(+), 6 deletions(-)
create mode 100644 gcc/testsuite/gfortran.dg/generic_30.f90
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 796ad057f43c0dae2de4dbed8c1bff791fe9bd8a
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 17:06:29 2015 +0200
Remove use of LAVA_SSH_KEYFILE
Change-Id: Ic6a4fc2bd0f4bdf2369cf3b0f111c20516d7f237
---
invoke_session_debian | 1 -
1 file changed, 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index de5996e..ccc8355 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -68,7 +68,6 @@ if ! ssh-keygen -P '' -f ~/data/onetime > /dev/null < /dev/null; then
rm -rf ~/data
exit 1
fi
-export LAVA_SSH_KEYFILE=${HOME}/data/onetime
#Need to be able to ssh to self to get local sources
#Can reuse the onetime key for this
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 5d8f093d52ea294dd50071c530de5368c575a394
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 17:33:30 2015 +0200
Remove needless infinite sleeps
They were there for debugging, but I do it in the exit trap
Change-Id: If677d272ecda279e0af4318048a61bd79438eb41
---
invoke_session_debian | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index ccc8355..05b735f 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -97,8 +97,8 @@ target_names=()
for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
echo "NAME ${lava_name}" > /dev/console
target_ip="$(lava-network query ${lava_name} ipv4)"
- if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
- if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
+ if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; exit 1; fi
+ if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; exit 1; fi
echo "IP ${target_ip}"
#Check that target is accessible, add it to our known_hosts,
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards 2c3919f Remove use of LAVA_SSH_KEYFILE
discards b27809c Get a socket to put our one-time key on targets
discards 0bd8011 Wait for a private key rather than an agent
new 1e303d1 Wait for a private key rather than an agent
new bd4bad9 Get a socket to put our one-time key on targets
new 796ad05 Remove use of LAVA_SSH_KEYFILE
new 5d8f093 Remove needless infinite sleeps
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (2c3919f)
\
N -- N -- N refs/heads/inserted_src (5d8f093)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit bd4bad91718429aaf0373bdbcf7f24820ba76fde
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 17:04:58 2015 +0200
Get a socket to put our one-time key on targets
Change-Id: Idf32073d286e28103c4a3c8c88c0139834a35250
---
invoke_session_debian | 16 +++++++---------
1 file changed, 7 insertions(+), 9 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index a9c8d50..de5996e 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -79,15 +79,11 @@ if ! ssh -i ~/data/onetime -o StrictHostKeyChecking=no localhos [...]
fi
#This would be two agents if we wanted one for source, one for job
-mkdir ~/data || exit 1
-chmod 700 ~/data || exit 1
-echo "*** WAITING FOR KEY: ${ip_addr}"
-while ! test -e ~/data/targetkey; do
+echo "*** WAITING FOR AGENT: ${ip_addr}"
+while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
-chmod 600 ~/data/targetkey || exit 1
-eval `ssh-agent`
-ssh-add ~/data/targetkey || exit 1
+export SSH_AUTH_SOCK=~/data/socket
echo ""
mkdir -p /run
mkdir -p /run/hacking
@@ -106,8 +102,9 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
echo "IP ${target_ip}"
- #Check that target is accessible, add to known_hosts
- if ! ssh -o StrictHostKeyChecking=no true; then
+ #Check that target is accessible, add it to our known_hosts,
+ #add our one-time key to it's authorized_keys
+ if ! cat ~/data/onetime.pub | ssh -o StrictHostKeyChecking=no "${target_ip}" "ca [...]
echo "Could not access target ${target_ip} (${lava_name})" >&2
exit 1
fi
@@ -125,6 +122,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
done
export targets="${target_names[@]}"
+echo "*** DONE WITH AUTH SOCKET, YOU MAY CLOSE THE CONNECTION"
echo "Running benchmark... I may be some time"
export LAVA_IN_LAB=1
"${ABE_DIR}"/scripts/Benchmark.job
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 1e303d1ca358f8e7595eb3b924d2b44ad0427292
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 15:26:08 2015 +0200
Wait for a private key rather than an agent
Private key doesn't have to be kept up - this is fine so long as
we use a one-time key, as is the plan for Jenkins.
Change-Id: I22767bd6a92d66d28e9dbada644d746aeb41b928
---
invoke_session_debian | 18 ++++++++++++++++--
1 file changed, 16 insertions(+), 2 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index e860a67..a9c8d50 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -79,8 +79,15 @@ if ! ssh -i ~/data/onetime -o StrictHostKeyChecking=no localhost [...]
fi
#This would be two agents if we wanted one for source, one for job
-echo "*** WAITING FOR AGENT: ${ip_addr}"
-while ! ssh-add -l &> /dev/null; do inotifywait -e create /tmp; done
+mkdir ~/data || exit 1
+chmod 700 ~/data || exit 1
+echo "*** WAITING FOR KEY: ${ip_addr}"
+while ! test -e ~/data/targetkey; do
+ inotifywait -e create ~/data
+done
+chmod 600 ~/data/targetkey || exit 1
+eval `ssh-agent`
+ssh-add ~/data/targetkey || exit 1
echo ""
mkdir -p /run
mkdir -p /run/hacking
@@ -98,6 +105,13 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
echo "IP ${target_ip}"
+
+ #Check that target is accessible, add to known_hosts
+ if ! ssh -o StrictHostKeyChecking=no true; then
+ echo "Could not access target ${target_ip} (${lava_name})" >&2
+ exit 1
+ fi
+
target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
echo "TYPE ${target_base}"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit b3ea8788a1783685a523039eb3481d2a579c027e
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 15:25:17 2015 +0200
Iterate through not-host, rather than target
Lets us work around a multinode limitation (cannot have different
target types within a single role).
Change-Id: I4482e078702cc34e9558619f5be30aabd6ecc4ad
---
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index d4b13b5..e860a67 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -92,7 +92,7 @@ lava-network collect eth0
echo WAITED > /dev/console
cat /tmp/lava_multi_node_cache.txt
target_names=()
-for lava_name in `lava-group | grep '[[:blank:]]*target$' | awk '{print $1}'`; do
+for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
echo "NAME ${lava_name}" > /dev/console
target_ip="$(lava-network query ${lava_name} ipv4)"
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit b27809ce0ef483e635bf600b18ddbe5609c9ffde
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 17:04:58 2015 +0200
Get a socket to put our one-time key on targets
Change-Id: Idf32073d286e28103c4a3c8c88c0139834a35250
---
invoke_session_debian | 16 +++++++---------
1 file changed, 7 insertions(+), 9 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 5e25b52..75a9b33 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -79,15 +79,11 @@ if ! ssh -i ~/data/onetime -o StrictHostKeyChecking=no localhos [...]
fi
#This would be two agents if we wanted one for source, one for job
-mkdir ~/data || exit 1
-chmod 700 ~/data || exit 1
-echo "*** WAITING FOR KEY: ${ip_addr}"
-while ! test -e ~/data/targetkey; do
+echo "*** WAITING FOR AGENT: ${ip_addr}"
+while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
-chmod 600 ~/data/targetkey || exit 1
-eval `ssh-agent`
-ssh-add ~/data/targetkey || exit 1
+export SSH_AUTH_SOCK=~/data/socket
echo ""
mkdir -p /run
mkdir -p /run/hacking
@@ -106,8 +102,9 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
echo "IP ${target_ip}"
- #Check that target is accessible, add to known_hosts
- if ! ssh -o StrictHostKeyChecking=no true; then
+ #Check that target is accessible, add it to our known_hosts,
+ #add our one-time key to it's authorized_keys
+ if ! cat ~/data/onetime.pub | ssh -o StrictHostKeyChecking=no "cat - >> ~/.ssh/a [...]
echo "Could not access target ${target_ip} (${target_name})" >&2
exit 1
fi
@@ -125,6 +122,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
done
export targets="${target_names[@]}"
+echo "*** DONE WITH AUTH SOCKET, YOU MAY CLOSE THE CONNECTION"
echo "Running benchmark... I may be some time"
export LAVA_IN_LAB=1
"${ABE_DIR}"/scripts/Benchmark.job
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 0bd8011f95a4d21dbdd497ff48336550ef947603
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 22 15:26:08 2015 +0200
Wait for a private key rather than an agent
Private key doesn't have to be kept up - this is fine so long as
we use a one-time key, as is the plan for Jenkins.
Change-Id: I22767bd6a92d66d28e9dbada644d746aeb41b928
---
invoke_session_debian | 18 ++++++++++++++++--
1 file changed, 16 insertions(+), 2 deletions(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index e860a67..5e25b52 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -79,8 +79,15 @@ if ! ssh -i ~/data/onetime -o StrictHostKeyChecking=no localhost [...]
fi
#This would be two agents if we wanted one for source, one for job
-echo "*** WAITING FOR AGENT: ${ip_addr}"
-while ! ssh-add -l &> /dev/null; do inotifywait -e create /tmp; done
+mkdir ~/data || exit 1
+chmod 700 ~/data || exit 1
+echo "*** WAITING FOR KEY: ${ip_addr}"
+while ! test -e ~/data/targetkey; do
+ inotifywait -e create ~/data
+done
+chmod 600 ~/data/targetkey || exit 1
+eval `ssh-agent`
+ssh-add ~/data/targetkey || exit 1
echo ""
mkdir -p /run
mkdir -p /run/hacking
@@ -98,6 +105,13 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; sleep infinity [...]
if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; sleep [...]
echo "IP ${target_ip}"
+
+ #Check that target is accessible, add to known_hosts
+ if ! ssh -o StrictHostKeyChecking=no true; then
+ echo "Could not access target ${target_ip} (${target_name})" >&2
+ exit 1
+ fi
+
target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
echo "TYPE ${target_base}"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.